%define name ppracer
%define version 0.3.1
%define release %mkrel 4
%define summary PlanetPenguin Racer is an OpenGL racing game

Name: %{name}
Version: %{version}
Release: %{release}
Summary: %{summary}
License: GPL
Group: Games/Arcade
URL: http://projects.planetpenguin.de/racer/
Source0: http://download.berlios.de/ppracer/%{name}-%{version}.tar.bz2
Source1: %{name}-link.tar.bz2
Source10:  %{name}-16.png
Source11:  %{name}-32.png
Source12:  %{name}-48.png
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: tcl
BuildRequires: SDL_mixer-devel
BuildRequires: XFree86-static-libs
BuildRequires: alsa-lib-devel
BuildRequires: esound-devel
BuildRequires: libMesaGLU-devel
BuildRequires: tcl
BuildRequires: texinfo
BuildRequires: libpng-devel
BuildRequires: freetype-devel
BuildRequires: libxslt-devel
BuildRequires: libxml2 >= 2.4.11
Obsoletes: tuxracer
Provides: tuxracer

%description
PlanetPenguin Racer is an OpenGL racing game featuring Tux,
the Linux mascot. The goal of the game is to slide down a snow-
and ice-covered mountain as quickly as possible.
It is based on the GPL version of TuxRacer.

%prep

%setup -q

%build
%configure      --bindir=%{_gamesbindir} \
                --with-data-dir=%{_gamesdatadir}/%{name}\
		--datadir=%{_gamesdatadir} \
                --disable-debug
%make

%install
rm -rf %buildroot
%{makeinstall_std}

# correct files.tcl wrong script encoding
perl -pi -e 's/\015$//' %buildroot/%{_gamesdatadir}/%{name}/courses/events/herring_run/*/*.tcl



install -d %buildroot/%{_menudir}
cat <<EOF >%buildroot/%{_menudir}/%{name}
?package(%{name}):command="%{_gamesbindir}/%{name}" \
                  icon=%{name}.png \
                  needs="x11" \
                  section="More Applications/Games/Arcade" \
                  title="Ppracer"\
                  longtitle="%{summary}"
EOF

install -m644 %{SOURCE10} -D %buildroot/%{_miconsdir}/%{name}.png
install -m644 %{SOURCE11} -D %buildroot/%{_iconsdir}/%{name}.png
install -m644 %{SOURCE12} -D %buildroot/%{_liconsdir}/%{name}.png

cat > $RPM_BUILD_DIR/%{name}-%{version}/README.urpmi << EOF

---------------------------Description-------------------------------------

PlanetPenguin Racer is an OpenGL racing game featuring Tux, 
the Linux mascot. The goal of the game is to slide down 
a snow- and ice-covered mountain as quickly as possible. 
It is based on the GPL version of TuxRacer.

-----------------------------Warning--------------------------------------- 

It might occurs that ppracer won t start, 
in that case you need to edit ~/.ppracer/options 
and adjust values to your hardware configuration.

---------------------------DescriptionFR-----------------------------------
PlanetPenguin Racer est un jeu OpenGL avec en hero Tux la 
masctotte Linux. Le but de ce jeu est de faire descendre Tux 
le plus rapidement possible de pistes pentues et recouvertes de neige et
de glace.
Ce jeu est bas sur la version GPL de TuxRacer.

-----------------------------Attention-------------------------------------

Il est possible que ppracer ne demarre pas.
Dans ce cas il vous faudra editer le fichier ~/.ppracer/options
et changer les valeurs pour qu elles soient correctes avec votre
configuration materielle.

---------------------------------------------------------------------------
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf %buildroot


%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog INSTALL README.urpmi
%{_gamesdatadir}/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}*.png
%{_miconsdir}/%{name}*.png
%{_iconsdir}/large/%{name}.png
%{_iconsdir}/mini/%{name}.png
%defattr(755,root,root,755)
%{_gamesbindir}/%{name}




%changelog
* Sat May 28 2005 Sebastien Savarin <plouf@mandriva.org> 0.3.1-4mdk
- Rebuild for new gcc
- use %mkrel


* Tue Mar 24 2005 Sebastien Savarin <plouf@mandrake.org> 0.3.1-3mdk
- Add README.urpmi file and fix Buildrequires

* Thu Mar 10 2005 Sebastien Savarin <plouf@mandrake.org> 0.3.1-2mdk
-fix wrong configure options and fix spec file to be able to use
 rpmbuildupdate

* Wed Mar 04 2005 Sebastien Savarin <plouf@mandrake.org> 0.3.1-1mdk
 - initial release

                                                                   

